import type { InViewportConfigCheckFn, InViewportConfigDirections, InViewportConfigOptions } from '../types';
export declare class SmzViewportConfig {
    _root?: Element;
    _rootMargin: string;
    _threshold: number | number[];
    _partial: boolean;
    _direction: InViewportConfigDirections;
    _checkFn?: InViewportConfigCheckFn;
    _hash: string;
    private constructor();
    static fromOptions(options?: Partial<InViewportConfigOptions>): SmzViewportConfig;
    get root(): Element | undefined;
    get rootMargin(): string;
    get threshold(): number | number[];
    get partial(): boolean;
    get direction(): InViewportConfigDirections;
    get hash(): string;
    get checkFn(): InViewportConfigCheckFn | undefined;
}
